## org.junit.function
Interface ThrowingRunnable

    public interface ThrowingRunnable

This interface facilitates the use of `Assert.assertThrows(Class, ThrowingRunnable)` from Java 8. It allows method references to void methods (that declare checked exceptions) to be passed directly into `assertThrows` without wrapping. It is not meant to be implemented directly.

Since:
  4.13

Method Summary
`void` `run()`

Method Detail

### run

    void run()
             throws Throwable

  Throws:
    `Throwable`

Copyright © 2002–2020 JUnit. All rights reserved.